Bug 908267 - Wireless not working after update to crda 1.1.3
Summary: Wireless not working after update to crda 1.1.3
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: crda
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-06 10:02 UTC by Robert
Modified: 2013-08-01 02:59 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-01 02:59:55 UTC


Attachments (Terms of Use)
dmesg with crda 112 (71.92 KB, text/plain)
2013-02-06 17:57 UTC, Robert
no flags Details
dmesg with crda 113 (70.39 KB, text/plain)
2013-02-06 17:57 UTC, Robert
no flags Details
ifconfig crda 112 (1.14 KB, text/plain)
2013-02-06 17:58 UTC, Robert
no flags Details
ifconfig crda 113 (998 bytes, text/plain)
2013-02-06 17:58 UTC, Robert
no flags Details
iwconfig crda 112b (490 bytes, text/plain)
2013-02-06 17:59 UTC, Robert
no flags Details
iwconfig crda 113 (250 bytes, text/plain)
2013-02-06 17:59 UTC, Robert
no flags Details
iwlist scanning crda 112 (15.83 KB, text/plain)
2013-02-06 18:00 UTC, Robert
no flags Details
iwlist scanning crda 113 (64 bytes, text/plain)
2013-02-06 18:00 UTC, Robert
no flags Details
lsmod crda 112 (2.95 KB, text/plain)
2013-02-06 18:00 UTC, Robert
no flags Details
lsmod crda 113 (2.95 KB, text/plain)
2013-02-06 18:01 UTC, Robert
no flags Details
lspci crda 112 (2.36 KB, text/plain)
2013-02-06 18:02 UTC, Robert
no flags Details
lspci crda 113 (2.36 KB, text/plain)
2013-02-06 18:02 UTC, Robert
no flags Details
yum details about update (1.23 KB, text/plain)
2013-02-06 18:03 UTC, Robert
no flags Details
lspci -vv -s output for wireless (2.12 KB, text/plain)
2013-02-06 18:12 UTC, Robert
no flags Details

Description Robert 2013-02-06 10:02:54 UTC
Description of problem:
Yesterday (2012-02-05), there was an update to the crda package, from version 1.1.2 to 1.1.3_2013.01.11-1.fc17 on my Fedora 17 box. After the update and a reboot, the wireless stopped working. More specifically, no wireless networks were visible. 

Version-Release number of selected component (if applicable):
crda 1.1.3_2013.01.11-1.fc17


How reproducible:


Steps to Reproduce:
1.Update crda from 1.1.2 to 1.1.3
2.
3.
  
Actual results:
Wireless not working.

Expected results:
Wireless working.


Additional info:
Even though iwconfig did list wlan0, I was not able to do a iwlist wlan0 scanning, it exited out with a "Interface doesn't support scanning." message.

I finally did a yum history undo <ID> to revert the update to the 1.1.2 package.

Sorry for the scarce information at the moment, but I will provide as much as information about the system before and after the update, as long as someone tells me what information should I provide.

Comment 1 John W. Linville 2013-02-06 15:17:40 UTC
This sounds rather strange -- more like a kernel problem than a crda issue.

Please post the output of running dmesg after a reboot, with both versions of the crda package.  Also include the output of running ifconfig and iwconfig in both cases.

Do you have any special configuration being applied to your wireless device?  If so, what would that be?

Please tell me about the configuration for the AP you normally use -- what channel is it on?  What type of security does it use?

Also, what country are you in?

Comment 2 Robert 2013-02-06 17:57:21 UTC
Created attachment 694061 [details]
dmesg with crda 112

Comment 3 Robert 2013-02-06 17:57:55 UTC
Created attachment 694063 [details]
dmesg with crda 113

Comment 4 Robert 2013-02-06 17:58:26 UTC
Created attachment 694064 [details]
ifconfig crda 112

Comment 5 Robert 2013-02-06 17:58:51 UTC
Created attachment 694065 [details]
ifconfig crda 113

Comment 6 Robert 2013-02-06 17:59:11 UTC
Created attachment 694066 [details]
iwconfig crda 112b

Comment 7 Robert 2013-02-06 17:59:31 UTC
Created attachment 694067 [details]
iwconfig crda 113

Comment 8 Robert 2013-02-06 18:00:02 UTC
Created attachment 694068 [details]
iwlist scanning crda 112

Comment 9 Robert 2013-02-06 18:00:21 UTC
Created attachment 694069 [details]
iwlist scanning crda 113

Comment 10 Robert 2013-02-06 18:00:43 UTC
Created attachment 694070 [details]
lsmod crda 112

Comment 11 Robert 2013-02-06 18:01:44 UTC
Created attachment 694071 [details]
lsmod crda 113

Comment 12 Robert 2013-02-06 18:02:05 UTC
Created attachment 694072 [details]
lspci crda 112

Comment 13 Robert 2013-02-06 18:02:31 UTC
Created attachment 694073 [details]
lspci crda 113

Comment 14 Robert 2013-02-06 18:03:08 UTC
Created attachment 694074 [details]
yum details about update

Comment 15 Robert 2013-02-06 18:11:45 UTC
Attached everything you asked (and a bit more). Let me know if you need some other logs as well.

No special configuration. Just a regular "turn on computer, pick a wifi, let it connect, and surf" process. Everything is default as it came with Fedora 17.

This wireless network uses no security (neighbours wifi, heh). As for the channel, not sure if this is what you asked for, but iwlist wlan0 channel says channel 6, 2.437 GHz.

Country is Serbia.

Kernel is 3.7.3-101.fc17.x86_64.

Comment 16 Robert 2013-02-06 18:12:45 UTC
Created attachment 694078 [details]
lspci -vv -s output for wireless

Comment 17 Robert 2013-02-06 18:13:52 UTC
Just found how I can provide more details about the wireless driver, so I attached that one as well, with crda 1.1.2 only. Let me know if you need the same for crda 1.1.3, too.

Comment 18 John W. Linville 2013-02-06 18:38:24 UTC
Serbia is the issue.  The regulatory rules database recently added a rule for Serbia, but it only defined the rules for the new 60GHz band.  Previously I think you were living with the default "world" rules, and apparently your AP is later telling you that you are in the US.  That causes your machine to use the US rules instead.

Actually, you are probably using the rules that the iwlwifi drivers determines are a match for your hardware, except that now the more restrictive rules for Serbia in the new database are restricting you to essentially nothing.

I'll try to straighten this out upstream.  For now, stick with the crda 1.1.2 package.

Comment 19 Robert 2013-02-06 18:42:49 UTC
Thanks. I will.

If you need help with testing stuff later on, let me know, I am more than happy to.

Comment 20 John W. Linville 2013-02-06 18:53:40 UTC
If you happen to have any way to determine the correct wireless regulatory rules for Serbia, that might be helpful too. :-)

Comment 21 Fedora End Of Life 2013-07-03 23:53:33 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2013-08-01 02:59:59 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.